MeshDataServer
Date: 2019-10-22

org.jmol.jvxl.api

## Interface MeshDataServer

- All Superinterfaces:
    VertexDataServer
  All Known Implementing Classes:
    Contact, Isosurface, LcaoCartoon, MolecularOrbital, NBO, Plot3D, Pmesh

      public interface MeshDataServer
      extends VertexDataServer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredFile(java.lang.String fileName)`
    `javajs.util.P3[]` | `calculateGeodesicSurface(javajs.util.BS bsSelected, float envelopeRadius)`
    `void` | `fillMeshData(MeshData meshData, int mode, IsosurfaceMesh mesh)`
    `void` | `invalidateTriangles()`
    `boolean` | `notifySurfaceGenerationCompleted()`
    `void` | `notifySurfaceMappingCompleted()`
    `void` | `setOutputChannel(javajs.api.GenericBinaryDocument binaryDoc, javajs.util.OC out)`
    `void` | `setRequiredFile(java.lang.String oldName, java.lang.String fileName)`

    - ### Methods inherited from interface org.jmol.jvxl.api.VertexDataServer

      `addTriangleCheck, addVertexCopy, getPlane, getSurfacePointIndexAndFraction, getValue`

- - ### Method Detail

    - #### invalidateTriangles

          void invalidateTriangles()

    - #### fillMeshData

          void fillMeshData(MeshData meshData,
                            int mode,
                            IsosurfaceMesh mesh)

    - #### notifySurfaceGenerationCompleted

          boolean notifySurfaceGenerationCompleted()

    - #### notifySurfaceMappingCompleted

          void notifySurfaceMappingCompleted()

    - #### calculateGeodesicSurface

          javajs.util.P3[] calculateGeodesicSurface(javajs.util.BS bsSelected,
                                                    float envelopeRadius)

    - #### addRequiredFile

          void addRequiredFile(java.lang.String fileName)

    - #### setOutputChannel

          void setOutputChannel(javajs.api.GenericBinaryDocument binaryDoc,
                                javajs.util.OC out)

    - #### setRequiredFile

          void setRequiredFile(java.lang.String oldName,
                               java.lang.String fileName)